LibreOffice LibreOffice 25.8 SDK API Reference

Public Member Functions | List of all members
XNameContainer Interface Referencepublished

This is the generic interface for supporting the insertion and removal of named elements. More...

`import"XNameContainer.idl";`

Inheritance diagram for XNameContainer:

## Public Member Functions
void | insertByName ([in] string aName, [in] any aElement) raises ( com::sun::star::lang::IllegalArgumentException, com::sun::star::container::ElementExistException, com::sun::star::lang::WrappedTargetException )
| inserts the given element at the specified name. More...
void | removeByName ([in] string Name) raises ( com::sun::star::container::NoSuchElementException, com::sun::star::lang::WrappedTargetException )
| removes the element with the specified name. More...
Public Member Functions inherited from XNameReplace
void | replaceByName ([in] string aName, [in] any aElement) raises ( com::sun::star::lang::IllegalArgumentException, com::sun::star::container::NoSuchElementException, com::sun::star::lang::WrappedTargetException )
| replaces the element with the specified name with the given element. More...
Public Member Functions inherited from XNameAccess
any | getByName ([in] string aName) raises ( com::sun::star::container::NoSuchElementException, com::sun::star::lang::WrappedTargetException )
sequence< string > | getElementNames ()
boolean | hasByName ([in] string aName)
Public Member Functions inherited from XElementAccess
type | getElementType ()
boolean | hasElements ()
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

This is the generic interface for supporting the insertion and removal of named elements.

See also
  XContainer

Developers Guide
  Professional UNO - Collections and Containers

## Member Function Documentation

## ◆ insertByName()

void insertByName | ( | [in] string | aName,
|  | [in] any | aElement
| ) |  |
raises | ( | com::sun::star::lang::IllegalArgumentException,
|  | com::sun::star::container::ElementExistException,
|  | com::sun::star::lang::WrappedTargetException
| ) |  |

inserts the given element at the specified name.

## ◆ removeByName()

void removeByName | ( | [in] string | Name | ) |
raises | ( | com::sun::star::container::NoSuchElementException,
|  | com::sun::star::lang::WrappedTargetException
| ) |  |

removes the element with the specified name.

The documentation for this interface was generated from the following file:

- com/sun/star/container/XNameContainer.idl